我看demo里面以前有手动集成的,现在我怎么才能找到以前的呢


(libai) #1

我看demo里面以前有手动集成的,现在我怎么才能找到以前的呢


(12) #2

没理解你的问题,SDK 是支持手动集成的。demo 是示例,不是提供给开发者集成到项目中去的。


(libai) #3

那我就试试,把项目中的自动集成改成手动的,注册回报871308


(12) #4

871308 SDK have not init yet. SDK尚未初始化

检查你是否有进行初始化并成功

查看完整的客户端日志信息

手动集成的文档
https://docs.jiguang.cn/jmessage/client/jmessage_android_guide/#_2


(libai) #5

这个问题


(12) #6

(libai) #7

极光Jmessage2.7.1必须要配Jcore:1.2.5吗


(12) #8

JCore 1.2.5 和以上版本的,均可,版本不可比他低


(libai) #9

2.7.0的呢最低支持多少


(libai) #10

还有推送3.1.5支持的最低版本


(12) #11

你如果同时集成,JCore 使用最高的版本就行了,不需要取最低版本


(libai) #12

版本高低和so有关吗


(12) #13

当然有关系,你用什么版本的 jar ,就得用什么版本的so


(libai) #14

注册的时候报respons10001和-200,啥原因导致的


(12) #15

这不是极光的报错信息,请捕获极光的 错误码,提供极光的客户端日志信息


(libai) #16

也没啥错啊,就是说我注册失败,返回10001和-200


(12) #17

这个是提示还没有登陆,调登陆的 API 了没有?

如果注册也失败了,提供完整的 客户端日志,会有详细提示